import React from 'react'

export const RepositorySearchContext = React.createContext({

  /**
   * 调用搜索接口
   * @param {string} keyword 搜索关键词
   * @param {number} page 页码
   */
  search (keyword:string, page:number) {},

  /**
   * 更新搜索关键词
   * @param {string} keyword 搜索关键词
   */
  setKeyword (keyword:string) {},

  /** 搜索关键词 */
  keyword: '',

  /** 接口调用中 */
  loading: false
})
